Download it now!
Bug 77727 - FILESAVE: Page break after word art not rendered and exported.
Summary: FILESAVE: Page break after word art not rendered and exported.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-21 11:30 UTC by Sushil Shinde
Modified: 2014-05-09 21:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
File containg page break after word art. (47.63 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-04-21 11:30 UTC, Sushil Shinde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sushil Shinde 2014-04-21 11:30:44 UTC
Created attachment 97682 [details]
File containg page break after word art.

Problem description: Page break inserted just after word art in MS Office 2007 file is not rendered in LO and not exported properly.

Steps to reproduce:
1. Create a docx file in MS Office 2007.
2. Insert word art text, insert page break then add some text after page break. Save this file as .docx.
3. Open saved file in LO. (OR open attached file in LO).

Current behavior:
1. If opened above created or attached file in LO, Page break is missing.
2. If exported above created or attached file from LO as docx file, page break is missing from saved file.

Expected behavior:
1. LO should import page break properly in above scenario.
2. LO should export page break properly in above scenario.

              
Operating System: Ubuntu
Version: 4.3.0.0.alpha0+ Master
Comment 1 Jorendc 2014-04-21 19:08:49 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 619b4c40da9e85febbb08a3f7cf8aa8d10963fc1
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-04-18_00:07:53

Kind regards,
Joren
Comment 2 Commit Notification 2014-05-05 07:36:15 UTC
sushil_shinde committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=61e8452c62a587b40bf80076642b869cbd1b7ed6

fdo#77727 PAGEBREAK In first paragraph was not rendered and exported.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Jorendc 2014-05-09 21:08:25 UTC
Looks fixed to me, tested using windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+ Build ID: e9b2787c2ece4c8260fbac6359257e1829c917d4
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-09_06:36:37

Kind regards,
Joren